Unable to Upgrade ASA-SSM-20

Unanswered Question
Oct 5th, 2009

Hi Guys,


am trying to upgrade my ASA-SSM-20 IPS.


current version: IPS-K9-6.0-6-E3


but after browsing the file & clicking on upgrade button, i got this message window:


"cannot upgrade software on the sensor"


"NULL"


I used the following files after downloading them from cisco:


IPS-K9-6.1-3-E3.pkg


IPS-K9-6.2-2-E3.pkg


non of them worked & each time i try to upgrade i got same message.


any idea? what could be the problem?


thanks


Rami

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
ddevecka Mon, 10/05/2009 - 07:56

I similar issues and I had to reboot the sensor and then I could to the upgrade.


Dan

FullTimeWebHosting Tue, 10/06/2009 - 14:15

Hi.


too busy sensor send this message, when i try to upgrade as well, send me the same message, then i try to check this again, reload all asa, and then load the asa again.


then send me the same message.


try to upgrade with no users in line.


greetings.

rich_whyrick Wed, 10/07/2009 - 18:41

Is your license current? I ran into this issue a few days back, then discovered that my license was out of date. I updated my license and then the updates applied successfully. Running "sh ver" from the session 1 command prompt will tell you, or you can look on the Intrusion Prevention tab under Home in the ASDM.


Rich

melchib Thu, 10/08/2009 - 14:21

I'd recommend trying it via the CLI -- http://www.cisco.com/en/US/partner/docs/security/ips/6.2/configuration/guide/cli/cli_system_images.html#wp1088688


If that doesn't work, as a last resort you could backup your config & re-image the sensor with the new code. Then copy/paste your config back on - just make sure you paste it section by section. I've had to do this with stingy sensors in the past as well...


http://www.cisco.com/en/US/partner/docs/security/ips/6.2/configuration/guide/cli/cli_system_images.html#wp1230355

Actions

This Discussion